Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface ProcessingInstruction

public interface ProcessingInstruction
extends Node

The `ProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Property Summary
`target` | getTarget | The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.
`data` | getData setData | The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getData()` Returns the value of the `data` property.
`java.lang.String` | `getTarget()` Returns the value of the `target` property.
`void` | `setData(java.lang.String data)` Assigns the value of the `data` property.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Method Detail

### getTarget

    public java.lang.String getTarget()

  Returns the value of the `target` property.

### setData

    public void setData(java.lang.String data)
                 throws DOMException

  Assigns the value of the `data` property.
  Throws:
    DOMException -

    NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### getData

    public java.lang.String getData()

  Returns the value of the `data` property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to xml-feedback@java.sun.com
Copyright © 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
Sun Microsystems, Inc.
901 San Antonio Road
Palo Alto, California, 94303, U.S.A.